package com.biganto.visual.roompark.presentation.screen.splash

import DaggerSplashScreenComponent
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.biganto.visual.roompark.R
import com.biganto.visual.roompark.base.RoomParkApplication
import com.biganto.visual.roompark.base.RoomParkMainActivity
import com.biganto.visual.roompark.conductor.BigantoBaseController
import com.google.android.material.snackbar.Snackbar

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

class SplashScreenController  :
    BigantoBaseController<SplashScreenViewState
        , SplashScreen
        , SplashScreenPresenter>()
    , SplashScreen {

    lateinit var rpActivity: RoomParkMainActivity

    fun getComponent() = DaggerSplashScreenComponent
        .factory()
        .create(RoomParkApplication.component,this)

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup): View {
        val v = super.onCreateView(inflater, container)

        rpActivity = activity as RoomParkMainActivity
        snackbar.showSnackBar("AZZZA", Snackbar.LENGTH_LONG)
        return v
    }
    

    override fun render(viewState: SplashScreenViewState) {
        TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
    }

    override fun createPresenter(): SplashScreenPresenter = getComponent().presenter

    override fun getLayoutId(): Int = R.layout.splash_screen


}